/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\10th Anniversary artifacts\SentinelsGuard.cs
Lines of code: 39
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class SentinelsGuard : OrderShield
	{
		public override int LabelNumber{ get{ return 1079792; } }
		public override int ArtifactRarity{ get{ return 11; } }		

		public override int BasePhysicalResistance{ get{ return 16; } }
		public override int BaseFireResistance{ get{ return 10; } }
		public override int BaseColdResistance{ get{ return 10; } }
		public override int BasePoisonResistance{ get{ return 5; } }
		public override int BaseEnergyResistance{ get{ return 10; } }

		public override int InitMinHits{ get{ return 150; } }
		public override int InitMaxHits{ get{ return 150; } }

		[Constructable]
		public SentinelsGuard()
		{
			Hue = 438;
		}

		public override bool Validate( Mobile m )
		{
			return true;
		}

		public SentinelsGuard( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}